решено Подскажите по установке версии 2.1.5

xqsI

Пользователь
#1
Версия TP
иная
Переехал на VPS, сайт не работает.

Подскажите где-нибудь осталась инструкция в читабельном виде по установке 2.1.5?
Какие атрибуты и на какие файлы/папки нужно выставить? (думаю на 99% проблема в этом).
 

Kryl

Пользователь
#2
TorrentPier II
======================

[![Join the chat at

Please Login or Register to view hidden text.



TorrentPier II - движок торрент-трекера, написанный на php. Высокая скорость работы, простота модификации, устойчивость к высоким нагрузкам, в том числе и поддержка альтернативных анонсеров (например, Ocelot). Помимо этого, крайне развитый официальный форум поддержки, где помимо прочего можно испытать движок в работе на демо-версии, не устанавливая его, а также получить любую другую интересующую вас информацию и скачать моды.

## Установка

Для установки вам необходимо выполнить несколько простых шагов:

1. Распаковываем на сервер содержимое скачанной вами папки

2. Создаем базу данных, в которую при помощи phpmyadmin (или любого другого удобного инструмента) импортируем дамп, расположенный в папке **install/sql/mysql.sql**
3. Правим файл конфигурации **library/config.php**, загруженный на сервер:
> ***'db1' => array('localhost', 'tp_215', 'user', 'pass', $charset, $pconnect)***
В данной строке изменяем данные входа в базу данных
***$domain_name = 'torrentpier.com';***
В данной строке указываем ваше доменное имя. Остальные правки в файле вносятся по усмотрению, исходя из необходимости из внесения (ориентируйтесь на описания, указанные у полей).

4. Редактируем указанные файлы:
+ **favicon.ico** (меняем на свою иконку, если есть)
+ **robots.txt** (меняем адреса в строках **Host** и **Sitemap** на свои)
+ **opensearch_desc.xml** (меняем описание и адрес на свои)
+ **opensearch_desc_bt.xml** (меняем описание и адрес на свои)

## Права доступа на папки и файлы

Исходя из настроек вашего сервера, устанавливаем рекомендуемые права доступа (chmod) на указанные папки **777**, а на файлы внутри этих папок (кроме файлов **.htaccess** и **.keep**) **666**:
- data/avatars
- data/old_files
- data/torrent_files
- internal_data/ajax_html
- internal_data/atom
- internal_data/cache
- internal_data/log
- internal_data/sitemap
- internal_data/triggers

## Необходимая версия php

Минимально поддерживаемой версией в настоящий момент является 5.3. Существует поддержка вплоть до версии 5.5 (в данной версии в логах будет уведомление об использовании устаревших функций). Версия php 5.6 в настоящее время движком не поддерживается и его работа на ней не гарантируется. Мы делаем все возможное чтобы в самое ближайшее время добавить его поддержку.

## Необходимые настройки php

mbstring.internal_encoding = UTF-8
magic_quotes_gpc = Off
Внести данные настройки необходимо в файл **php.ini**. Их вам может установить ваш хостер по запросу, если у вас возникают какие-либо проблемы с их самостоятельной установкой. Впрочем, эти настройки могут быть установлены на сервере по-умолчанию, поэтому их внесение требуется исключительно по необходимости.

## Необходимые модули php

php5-tidy
Начиная с версии 2.0.9 (ревизия 592 в старой нумерации) данный модуль не является обязательным, но его установка крайне рекомендуется для повышения качества обработки html-кода тем и сообщений пользователей.

## Рекомендуемый способ запуска cron.php

Для значительного ускорения работы трекера может потребоваться отвязка встроенного форумного крона. С более подробной информацией об отвязке крона, вы можете ознакомиться в данной теме https://torrentpier.com/threads/52/ на нашем форуме поддержки.

## Локальный файл конфигурации

Начиная с ревизии 599 была добавлена поддерка автоматического подключения файла config.local.php, при создании его вами. В данном файле вы можете переопределять настройки файла config.php для конкретного сервера, на котором запущен трекер или в целом менять стандартные значения файла config.php, для более простого обновления файлов движка в дальнейшем.

## Установка Ocelot

В движок встроена по-умолчанию поддержка альтернативного компилируемого анонсера - Ocelot. Настройка производится в файле **library/config.php**, сам анонсер находится в репозитории

Please Login or Register to view hidden text.



Инструкция по сборке приведена на нашем форуме: https://torrentpier.com/threads/sborka-ocelot-pod-debian-7-1.26078/
Для работы анонсера требуется замена двух таблиц в базе данных - дамп в файле: **install/sql/ocelot.sql**

## Папка install

В корне движка присутствует папка **install**, в которой находятся служебные файлы, необходимые для его установки (дамп базы, примеры конфигов) и обновления (дамперы, скрипты конвертации). Доступ к данной папке по-умолчанию закрыт, но если ее присутствие вам мешает - вы можете ее удалить. На файлы **README.md** и **CONTRIBUTORS.md** это также распространяется.

## Полезные ссылки

+ Наш форум TorrentPier.com
+ Центр загрузки

Please Login or Register to view hidden text.


+ Часто задаваемые вопросы

Please Login or Register to view hidden text.


+ Где задать вопрос https://torrentpier.com/forums/10/
 

Вложения

Последнее редактирование:

xqsI

Пользователь
#4
Всем спасибо за участие! Чет сам не заметил этот файл в движке. К сожалению 99% моих думок не оправдались - проблема была не в этом)
 

xqsI

Пользователь
#5
После переноса на VPS сайт так и не заработал. С тех поддержкой второй день - и никак)

В логах ошибка: PHP Fatal error: Call to undefined function password_hash() in /home/admin/web/site.ru/public_html/common.php on line 307

Тестил этот же бекап (БД и файлы сайта) на домашнем localhost (Open Server) - все работает.


Вот конфигурация сервера, где не хочет работать:

PHP 5.4.45-0+deb7u11 (cli) (built: Aug 30 2017 01:07:33)
Copyright (c) 1997-2014 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2014 Zend Technologies

Mysql Server version: 5.5.58-0+deb7u1 (Debian).


Подскажите в чем может быть проблема?
 

Darkterror

Пользователь
#6
для PHP 5.4
Код:
function make_rand_str ($len = 10)
{
    $str = '';
    while (strlen($str) < $len)
    {
        $str .= str_shuffle(preg_replace('#[^0-9a-zA-Z]#', '', crypt(uniqid(mt_rand(), true))));
    }
    return substr($str, 0, $len);
}
для PHP 5.6
Код:
function make_rand_str ($len = 10)
{
    $str = '';
    while (strlen($str) < $len)
    {
        $str .= str_shuffle(preg_replace('#[^0-9a-zA-Z]#', '', password_hash(uniqid(mt_rand(), true), PASSWORD_BCRYPT)));
    }
    return substr($str, 0, $len);
}
 

xqsI

Пользователь
#7
для PHP 5.4
Код:
function make_rand_str ($len = 10)
{
    $str = '';
    while (strlen($str) < $len)
    {
        $str .= str_shuffle(preg_replace('#[^0-9a-zA-Z]#', '', crypt(uniqid(mt_rand(), true))));
    }
    return substr($str, 0, $len);
}
для PHP 5.6
Код:
function make_rand_str ($len = 10)
{
    $str = '';
    while (strlen($str) < $len)
    {
        $str .= str_shuffle(preg_replace('#[^0-9a-zA-Z]#', '', password_hash(uniqid(mt_rand(), true), PASSWORD_BCRYPT)));
    }
    return substr($str, 0, $len);
}
Огромное спасибо! Подскажите пожалуйста подробнее - где это прописать?
 

xqsI

Пользователь
#10
И не только это не будет работать.

Версия не поддерживаемая, версия PHP тем более.
А что еще не будет работать? Проверю повнимательней. На первый, беглый взгляд вроде все заработало.
Подскажите - какую версию php поставить, чтобы все работало в 2.1.5, если найдутся все-таки еще проблемы?
 
Сверху